Boost orders
Get Boost
One of your Boost orders.
GET
/
portfolio
/
boosts
/
{boost_id}
Get Boost
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"boost": {
"boost_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"kind": "boost",
"mode": "live",
"status": "pending",
"stake": "<string>",
"multiplier": "<string>",
"max_payout": "<string>",
"created_ts_ms": 4503599627370495,
"client_order_id": "<string>",
"price_to_beat": "<string>",
"value": "<string>",
"sell_proceeds": "<string>",
"close_price": "<string>",
"payout": "<string>",
"credit_used": "<string>",
"paid": "<string>",
"close_ts_ms": 4503599627370495,
"settled_ts_ms": 4503599627370495,
"bet": {
"order_id": "<string>",
"contracts": "<string>",
"cost": "<string>"
}
}
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}⌘I
Get Boost
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/boosts/{boost_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"boost": {
"boost_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"kind": "boost",
"mode": "live",
"status": "pending",
"stake": "<string>",
"multiplier": "<string>",
"max_payout": "<string>",
"created_ts_ms": 4503599627370495,
"client_order_id": "<string>",
"price_to_beat": "<string>",
"value": "<string>",
"sell_proceeds": "<string>",
"close_price": "<string>",
"payout": "<string>",
"credit_used": "<string>",
"paid": "<string>",
"close_ts_ms": 4503599627370495,
"settled_ts_ms": 4503599627370495,
"bet": {
"order_id": "<string>",
"contracts": "<string>",
"cost": "<string>"
}
}
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}